Debian Bug report logs - #681687
missing mime entry

Package: tech-ctte; Maintainer for tech-ctte is Technical Committee <debian-ctte@lists.debian.org>;

Reported by: Andreas Tille <tille@debian.org>

Date: Tue, 31 Jan 2012 16:21:02 UTC

Severity: serious

Tags: patch

Done: Ian Jackson <ijackson@chiark.greenend.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Tue, 31 Jan 2012 16:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
New Bug report received and forwarded. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 31 Jan 2012 16:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: evince: missing mime entry
Date: Tue, 31 Jan 2012 17:18:33 +0100
Package: evince
Severity: important
Tags: patch

Hi,

several programs (for instance see, mc) are regarding mime entries
in mailcap file and can not find a PDF viewer in case only evince is
installed.  This ends up in something like:


$ see test.pdf 
Error: no "view" mailcap rules found for type "application/pdf"


I set this to important because this is somehow breaking the usual
functionality of those programs.  The following patch will fix this:

diff -Nru /dev/null evince-3.2.1/debian/evince.mime
--- /dev/null
+++ evince-3.2.1/debian/evince.mime
@@ -0,0 +1,2 @@
+application/pdf; /usr/bin/evince %s; test=test "$DISPLAY" != ""; description=Portable Document Format; nametemplate=%s.pdf; priority=6
+application/x-pdf; /usr/bin/evince %s; test=test "$DISPLAY" != ""; description=Portable Document Format; nametemplate=%s.pdf; priority=6


Kind regards and thanks for maintaining evince

      Andreas.


-- System Information:
Debian Release: 6.0.4
Architecture: i386 (i686)

Kernel: Linux 2.6.36-xenU-4814-i386 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Tue, 31 Jan 2012 19:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 31 Jan 2012 19:00:03 GMT) Full text and rfc822 format available.

Message #10 received at 658139@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Andreas Tille <tille@debian.org>, 658139@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#658139: evince: missing mime entry
Date: Tue, 31 Jan 2012 19:57:39 +0100
[Message part 1 (text/plain, inline)]
severity 658139 wishlist
tags 658139 + wontfix
thanks

On 31.01.2012 17:18, Andreas Tille wrote:
> Package: evince
> Severity: important
> Tags: patch
> 
> Hi,
> 
> several programs (for instance see, mc) are regarding mime entries
> in mailcap file and can not find a PDF viewer in case only evince is
> installed.  This ends up in something like:

Since Joss has removed this file on purpose, it's very unlikely that it
is coming back.

This topic has been discussed several times already. Instead of
maintaining these files by hand (remember, we do have quite a few in the
GNOME repo), those mailcap entries should be generated automatically
from the *.desktop files that are provided upstream and already contain
all the necessary information.
We don't want to maintain a second mime database by hand in parallel.

From our pov, someone interested in this topic should write a small
tool, which does this automatically and is dpkg triggered.

Cheers,
Michael



-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Severity set to 'wishlist' from 'important' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 31 Jan 2012 19:00:05 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 31 Jan 2012 19:00:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Tue, 31 Jan 2012 20:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 31 Jan 2012 20:57:07 GMT) Full text and rfc822 format available.

Message #19 received at 658139@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Debian Developers <debian-devel@lists.debian.org>
Cc: 658139@bugs.debian.org
Subject: Breaking programs because a not yet implemented solution exists in theory (Was: Bug#658139: evince: missing mime entry)
Date: Tue, 31 Jan 2012 21:51:54 +0100
Hi,

this problem concerns missing *.mime file which breaks other programs
like for instance see

$ see test.pdf 
Error: no "view" mailcap rules found for type "application/pdf"


On Tue, Jan 31, 2012 at 07:57:39PM +0100, Michael Biebl wrote:
> severity 658139 wishlist
> tags 658139 + wontfix

:-(
This is definitely not "wishlist" - but I do not like to play
severity-changing pingpong.

> On 31.01.2012 17:18, Andreas Tille wrote:
> > Package: evince
> > Severity: important
> > Tags: patch
> > 
> > Hi,
> > 
> > several programs (for instance see, mc) are regarding mime entries
> > in mailcap file and can not find a PDF viewer in case only evince is
> > installed.  This ends up in something like:
> 
> Since Joss has removed this file on purpose, it's very unlikely that it
> is coming back.
> 
> This topic has been discussed several times already. Instead of
> maintaining these files by hand (remember, we do have quite a few in the
> GNOME repo), those mailcap entries should be generated automatically
> from the *.desktop files that are provided upstream and already contain
> all the necessary information.
> We don't want to maintain a second mime database by hand in parallel.

So the existence of a potential but not implemented solution rectifies
to break other packages?  That's  ...  uhmm, my vocabulary is broken. :-(
 
> From our pov, someone interested in this topic should write a small
> tool, which does this automatically and is dpkg triggered.

I agree that an automatic solution would be prefered.  However, as long
as such someone does not stand up and write such a program removing
existing solutions is <feel free to insert any word which fits>.  I
rarely have read this kind of argument on a Debian mailing list.

Kind regards

        Andreas.

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Tue, 31 Jan 2012 21:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 31 Jan 2012 21:51:08 GMT) Full text and rfc822 format available.

Message #24 received at 658139@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Andreas Tille <tille@debian.org>
Cc: Debian Developers <debian-devel@lists.debian.org>, 658139@bugs.debian.org
Subject: Re: Breaking programs because a not yet implemented solution exists in theory (Was: Bug#658139: evince: missing mime entry)
Date: Tue, 31 Jan 2012 22:25:50 +0100
[Message part 1 (text/plain, inline)]
Andreas Tille <tille@debian.org> (31/01/2012):
> This is definitely not "wishlist" - but I do not like to play
> severity-changing pingpong.

Please avoid “To: debian-devel@” when you disagree with maintainers on
individual bugs; thanks already.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Wed, 01 Feb 2012 08:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Wed, 01 Feb 2012 08:33:08 GMT) Full text and rfc822 format available.

Message #29 received at 658139@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Debian Developers <debian-devel@lists.debian.org>, 658139@bugs.debian.org
Cc: Andreas Tille <tille@debian.org>
Subject: Re: Breaking programs because a not yet implemented solution exists in theory (Was: Bug#658139: evince: missing mime entry)
Date: Wed, 01 Feb 2012 09:29:46 +0100
Le mardi 31 janvier 2012 à 21:51 +0100, Andreas Tille a écrit : 
> I agree that an automatic solution would be prefered.  However, as long
> as such someone does not stand up and write such a program removing
> existing solutions is <feel free to insert any word which fits>.

The point is, no one will write such a program until we remove support
for the old system entirely. To break such a chicken/egg circle, we
needed either to write the program ourselves, or to simply drop support
for the obsolete mime system. Guess what: I’m not writing a tool, lest
maintain it, for a technology that I don’t use.

And since, after seven months, nothing happened, it means no one is
interested enough, although some one-liners doing half of the job have
been circulating.

kthxbye,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-





Severity set to 'important' from 'wishlist' Request was from Andreas Tille <andreas@an3as.eu> to control@bugs.debian.org. (Thu, 02 Feb 2012 20:03:11 GMT) Full text and rfc822 format available.

Removed tag(s) wontfix. Request was from Andreas Tille <andreas@an3as.eu> to control@bugs.debian.org. (Thu, 02 Feb 2012 20:03:11 GMT) Full text and rfc822 format available.

Bug reassigned from package 'evince' to 'general'. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Thu, 02 Feb 2012 20:12:03 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Thu, 02 Feb 2012 20:12:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'generate mailcap entries from desktop files' from 'evince: missing mime entry' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Thu, 02 Feb 2012 20:12:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#658139; Package general. (Tue, 28 Feb 2012 21:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Hulin <antoine@origan.fdn.fr>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Tue, 28 Feb 2012 21:21:06 GMT) Full text and rfc822 format available.

Message #44 received at 658139@bugs.debian.org (full text, mbox):

From: Antoine Hulin <antoine@origan.fdn.fr>
To: 658139@bugs.debian.org
Subject: Re: Bug#658139: evince: missing mime entry
Date: Tue, 28 Feb 2012 22:15:20 +0100
> And since, after seven months, nothing happened, it means no one is
> interested enough,

The conclusion seems rather hasty to me. I'm not able to write that script
but would gladly open pdf files from mutt.

As Adreas Tille, I would like to voice my astonishment by this decision to
intentionaly break a behaviour in several tools.

Antoine Hulin




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#658139; Package general. (Wed, 29 Feb 2012 15:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giovanni Biscuolo <g@xelera.eu>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Wed, 29 Feb 2012 15:45:05 GMT) Full text and rfc822 format available.

Message #49 received at 658139@bugs.debian.org (full text, mbox):

From: Giovanni Biscuolo <g@xelera.eu>
To: 658139@bugs.debian.org
Cc: Andrea Rota <a@xelera.eu>
Subject: evince: missing mime entry
Date: Wed, 29 Feb 2012 16:34:21 +0100
[Message part 1 (text/plain, inline)]
hi all,

i'm having the same problem described on 31 Jan 2012 by Andreas Tille:
see, mutt and all other programs depending on mailcap are not able to
open PDF files with **evince**

please see Debian policy 9.7 about multimedia handlers:
http://www.debian.org/doc/debian-policy/ch-opersys.html#s-mime

please also consider that /etc/mailcap is a standard since a long ago
and that all users of "console based" applications in Debian are
expecting that /etc/mailcap is updated automatically by installed
applications

this problem is strictly related to evince, **not** general, so please
reassign this bug to evince package

a simple workaround is to install one of the other available PDF viewers
fully compliant with the update-mime policy, I'm using epdfview

about alternative solutions proposed, on 2012.01.31  Michael Biebl
<biebl@debian.org> said:
...........
This topic has been discussed several times already. Instead of
maintaining these files by hand (remember, we do have quite a few in the
GNOME repo), those mailcap entries should be generated automatically
from the *.desktop files that are provided upstream and already contain
all the necessary information.
We don't want to maintain a second mime database by hand in parallel.
............

so the proposed solution is that *users* will maintain mime-support
database by hand?

if this topic has been discussed several times why the Debian policy 9.7
still mandates support for update-mime?

the idea not to maintain 2 files containing the same information is
interesting and should be done with proper tools on maintainers side,
not on users side... or by standard tools such those found in
mime-support

if there is enough consensus to drop (or extend) Debian policy 9.7 in
favour of a new one using *.desktop files to register mime-types
(dropping /usr/lib/mime/packages/ files and mime-suport) I'm willing to
help to develop a new tool

all this work should lead to a new written policy *and* related tools
similar to mime-support

meanwhile could you please roll back to /usr/lib/mime/packages/evince? 

thanks
Ciao
Giovanni

-- 
Giovanni Biscuolo

Xelera - IT infrastructures
http://xelera.eu/contact-us/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#658139; Package general. (Wed, 29 Feb 2012 16:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Wed, 29 Feb 2012 16:03:03 GMT) Full text and rfc822 format available.

Message #54 received at 658139@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Giovanni Biscuolo <g@xelera.eu>, 658139@bugs.debian.org
Cc: Andrea Rota <a@xelera.eu>
Subject: Re: Bug#658139: evince: missing mime entry
Date: Wed, 29 Feb 2012 16:59:32 +0100
On Wed, 29 Feb 2012, Giovanni Biscuolo wrote:
> so the proposed solution is that *users* will maintain mime-support
> database by hand?

No.

> the idea not to maintain 2 files containing the same information is
> interesting and should be done with proper tools on maintainers side,
> not on users side... or by standard tools such those found in
> mime-support

Yes.

> if there is enough consensus to drop (or extend) Debian policy 9.7 in
> favour of a new one using *.desktop files to register mime-types
> (dropping /usr/lib/mime/packages/ files and mime-suport) I'm willing to
> help to develop a new tool

Please see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=497779 for 
more information on how to properly fix this at the mime-support level
by auto-generating mailcap information out of the .desktop files.

Russ Alberry gave some tentative spec for such a tool:
http://lists.debian.org/87k446oqzh.fsf@windlord.stanford.edu

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Pre-order a copy of the Debian Administrator's Handbook and help
liberate it: http://debian-handbook.info/liberation/




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#658139; Package general. (Wed, 29 Feb 2012 16:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Wed, 29 Feb 2012 16:27:03 GMT) Full text and rfc822 format available.

Message #59 received at 658139@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Raphael Hertzog <hertzog@debian.org>, 658139@bugs.debian.org
Cc: Giovanni Biscuolo <g@xelera.eu>, Andrea Rota <a@xelera.eu>
Subject: Re: Bug#658139: evince: missing mime entry
Date: Wed, 29 Feb 2012 17:24:59 +0100
On Wed, Feb 29, 2012 at 04:59:32PM +0100, Raphael Hertzog wrote:
> Russ Alberry gave some tentative spec for such a tool:
> http://lists.debian.org/87k446oqzh.fsf@windlord.stanford.edu

Quoting this mail:

   I think one has to make the
   assumption that one can add %s after Exec in order to load a file, since
   the desktop entry doesn't have an equivalent of the command. 

So in such a tool some kind of wild guessing is involved even if I do
not know any tool which contradicts this guess.  It was discussed in
this thread that mime contains more features than you can drain from
desktop files and that it is definitely not straightforeward to turn the
proposed "one liner that does 50%" of the job into a simple tool which
does 100%.

I'd consider the "chance to write something which might probably work in
most cases" as a weak excuse to drop a solution that worked for years
and would continue working quite reasonable.  I agree that duplication
of code/data is something that should be prevented, but it is actually
not a large amount of data which is duplicated nor does it have a great
history of frequent changes.

Kind regards

      Andreas.

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#658139; Package general. (Wed, 29 Feb 2012 16:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Wed, 29 Feb 2012 16:45:03 GMT) Full text and rfc822 format available.

Message #64 received at 658139@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Andreas Tille <tille@debian.org>, 658139@bugs.debian.org
Cc: Raphael Hertzog <hertzog@debian.org>, Giovanni Biscuolo <g@xelera.eu>, Andrea Rota <a@xelera.eu>
Subject: Re: Bug#658139: evince: missing mime entry
Date: Wed, 29 Feb 2012 17:44:57 +0100
Le mercredi 29 février 2012 à 17:24 +0100, Andreas Tille a écrit : 
> I'd consider the "chance to write something which might probably work in
> most cases" as a weak excuse to drop a solution that worked for years
> and would continue working quite reasonable.  I agree that duplication
> of code/data is something that should be prevented, but it is actually
> not a large amount of data which is duplicated nor does it have a great
> history of frequent changes.

Yes of course! We dropped the mime file because it never changes. It was
too hard to see it being always the same, glaring at you silently in the
corner of the eye.

-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-





Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#658139; Package general. (Wed, 29 Feb 2012 20:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Wed, 29 Feb 2012 20:57:13 GMT) Full text and rfc822 format available.

Message #69 received at 658139@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Josselin Mouette <joss@debian.org>, 658139@bugs.debian.org
Cc: Raphael Hertzog <hertzog@debian.org>, Giovanni Biscuolo <g@xelera.eu>, Andrea Rota <a@xelera.eu>
Subject: Re: Bug#658139: evince: missing mime entry
Date: Wed, 29 Feb 2012 21:53:53 +0100
Hi,

On Wed, Feb 29, 2012 at 05:44:57PM +0100, Josselin Mouette wrote:
> Le mercredi 29 février 2012 à 17:24 +0100, Andreas Tille a écrit : 
> > I'd consider the "chance to write something which might probably work in
> > most cases" as a weak excuse to drop a solution that worked for years
> > and would continue working quite reasonable.  I agree that duplication
> > of code/data is something that should be prevented, but it is actually
> > not a large amount of data which is duplicated nor does it have a great
> > history of frequent changes.
> 
> Yes of course! We dropped the mime file because it never changes. It was
> too hard to see it being always the same, glaring at you silently in the
> corner of the eye.

When reading this I remember that I honestly wanted to ask how this

  "Send a report that this bug log contains spam."

works.  I once tried this and from the linked page it was not clear
whether I would mark the whole bug report as spam or only parts of it.
Could anybody clarify how it works to just mark a single message as
SPAM?

(Not that I really wanted to remove this very helpfull message from BTS
- I'm just reminded to the question I had and never managed to ask.)

Kind regards

       Andreas.

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#658139; Package general. (Sat, 03 Mar 2012 16:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giovanni Biscuolo <g@xelera.eu>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Sat, 03 Mar 2012 16:03:07 GMT) Full text and rfc822 format available.

Message #74 received at 658139@bugs.debian.org (full text, mbox):

From: Giovanni Biscuolo <g@xelera.eu>
To: 658139@bugs.debian.org, Raphael Hertzog <hertzog@debian.org>
Subject: Re: evince: missing mime entry
Date: Sat, 3 Mar 2012 16:59:59 +0100
[Message part 1 (text/plain, inline)]
Dear Raphael,

thank you for your update on the status of this issue

> On Wed, 29 Feb 2012, Giovanni Biscuolo wrote:

[...]

> Please see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=497779

OK thanks a lot for the link, now I understand very well what is
happening :-)

this bug is definetly linked to #497779... a bug started on 2008.09.04,
more than 3 years ago :-(

more than 3 years ago Josselin Mouette was tired:
"I’m tired of receiving bug reports asking to add a debian/mime file to
support an outdated MIME system that no application I know besides mutt
still uses."

and today we are in the very same situation, with people like me still
commeting on bugs Josselin Mouette is tired of receive

sure the solution should be to patch mime-support and close #497779 once
and forever, rumors says that all is needed is a one liner script
somewhere... so **what is the problem**??? :-)

but why drop mime-support usage from evince (and others packages)
**before** resolving #497779?
...because no one uses mutt or other programs that rely on mailcap?!?
...why just drop /etc/mailcap from Debian?

thanks to brian m. carlson it seems we now have a patch for
mime-support, a patch that "took less than an hour" as he said:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=497779#20

three years for a "less than an our" patch?!? (still to test and
deploy, obviously)

three years to discuss the new policy "let's drop update-mime
(and mailcap) support, who cares about an outdated MIME system"!?
Debian developers considers mailcap outdated?
you should write it down in some official document, like debian-policy

why can we just collaborate on issues instead of discuss on who is rigth
and who is wrong... for 3 years?!?

I think a more clear policy on multimedia handlers should be specified:
http://www.debian.org/doc/debian-policy/ch-opersys.html#s-mime
in particular *if* mailcap (and update-mime) have to be used in packages
like evince

Ciao
Giovanni

-- 
Giovanni Biscuolo

Xelera - IT infrastructures
http://xelera.eu/contact-us/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#658139; Package general. (Wed, 02 May 2012 13:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Wed, 02 May 2012 13:33:07 GMT) Full text and rfc822 format available.

Message #79 received at 658139@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: debian-devel@lists.debian.org, 658139@bugs.debian.org
Subject: Re: Breaking programs because a not yet implemented solution exists in theory (Was: Bug#658139: evince: missing mime entry)
Date: Wed, 2 May 2012 15:30:20 +0200
Hi,

I just would like to warm up this thread a bit because I wonder if a
solution would be found in time for Wheezy release.  It seems nobody
really seems to care about those suggested scripts and we are breaking a
certain amount of programs if mailcap entries are dropped without any
replacement.  I wonder whether the severity of "important" is to weak to
reflect this.  Several people in this thread expressed their annoyance
about this but nothing has happened so far.  If nobody works on
automatic scripts (which are hard to write as Russ expressed here
because mailcap has features not implemented in freedesktop.org) should
we try something else to not spoil the wheezy user experience of terminal
addicted users?

Kind regards

      Andreas.

On Sat, Feb 18, 2012 at 04:44:10PM +0100, Raphael Hertzog wrote:
> Hello,
> 
> On Wed, 01 Feb 2012, Josselin Mouette wrote:
> > Le mardi 31 janvier 2012 à 21:51 +0100, Andreas Tille a écrit : 
> > > I agree that an automatic solution would be prefered.  However, as long
> > > as such someone does not stand up and write such a program removing
> > > existing solutions is <feel free to insert any word which fits>.
> > 
> > The point is, no one will write such a program until we remove support
> > for the old system entirely.
> 
> FWIW, it looks like Josselin suggested this in #497779 more than 3 years
> ago already.
> 
> So he certainly tried something else before simply removing the mailcap
> file. I pinged the mime support maintainer, pointing to Russ' mail
> explaining how to generate mailcap entries out of the desktop files.
> 
> Hopefully this will help since he seemed interested into supporting this.
> 
> Cheers,
> -- 
> Raphaël Hertzog ◈ Debian Developer
> 
> Pre-order a copy of the Debian Administrator's Handbook and help
> liberate it: http://debian-handbook.info/liberation/
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/20120218154410.GA22496@rivendell.home.ouaza.com
> 
> 

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#658139; Package general. (Thu, 31 May 2012 19:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Thu, 31 May 2012 19:39:04 GMT) Full text and rfc822 format available.

Message #84 received at 658139@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: debian-devel@lists.debian.org
Cc: 658139@bugs.debian.org
Subject: May be ITP: mime-support-extra to close #658139 (Was: Breaking programs because a not yet implemented solution exists in theory)
Date: Thu, 31 May 2012 21:35:05 +0200
Hi,

On Wed, May 02, 2012 at 03:16:08PM +0100, Ben Hutchings wrote:
> I'm also not seeing GNOME applications as file type handlers in
> Akregator (KDE application).  So I'm not sure this is even 'just' a
> problem for text-mode applications.

I have no idea whether the solution proposed below could help here:  I
just injected

   svn://svn.debian.org/collab-maint/deb-maint/mime-support-extra

which would bring back mime support for evince for all applications I'm
using.  (I was too bored to always update a local evince package which
works.)  It is *very* simple and does not implement all those nifty
suggestions given here but not yet implemented.

I see two options to go from here:

  1. I just keep this package as a private solution.
  2. I upload the package to unstable by
      a) issuing a new ITP
      b) turning #658139 into ITP: mime-support-extra

I have no idea what makes the best sense and whether ftpmaster would
accept such a package (I'm not even sure whether I in the position of
ftpmaster would accept this).  I'd regard it as a too simple but helpful
workaround for a problem which should be solved differently.

In any case the idea is to collect issues of broken mime support where
maintainers are unable / not willing to respect Debian policy 9.7.
Adding more entries is simple:  Just add the according mime file as
<pkg>.mime and add <pkg> to "Enhances" in debian/control.

What do you think?

Kind regards

      Andreas.

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#658139; Package general. (Fri, 01 Jun 2012 11:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Fri, 01 Jun 2012 11:39:10 GMT) Full text and rfc822 format available.

Message #89 received at 658139@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Debian Developers <debian-devel@lists.debian.org>
Cc: "brian m. carlson" <sandals@crustytoothpaste.net>, 658139@bugs.debian.org, 497779@bugs.debian.org
Subject: Re: May be ITP: mime-support-extra to close #658139 (Was: Breaking programs because a not yet implemented solution exists in theory)
Date: Fri, 1 Jun 2012 13:33:52 +0200
Hi,

On Thu, May 31, 2012 at 10:56:50PM +0200, Michael Biebl wrote:
> On 31.05.2012 21:35, Andreas Tille wrote:
> 
> > In any case the idea is to collect issues of broken mime support where
> > maintainers are unable / not willing to respect Debian policy 9.7.
> > Adding more entries is simple:  Just add the according mime file as
> > <pkg>.mime and add <pkg> to "Enhances" in debian/control.
> 
> I don't think adding such a package is a good idea. It's just an ugly
> work-around.

Fully ACK.  That's why the first of the option what could be done was to
leave it as local package and do not upload it officially.

> In http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=497779 there is
> already a patch by brian m. carlson. Any effort regarding this issue
> should be spent getting this patch ready and applied to mime-support.

I would consider the severity of this bug to low considering that
several applications are broken if we will not fix this problem before
the next stable release.  Is there anything which prevents an upload of
this fix?  If there would be no soonish upload I'd consider increasing
the severity to make sure it will not be forgotten somehow.

Kind regards

        Andreas.

-- 
http://fam-tille.de




Severity set to 'serious' from 'important' Request was from Neil McGovern <neil@halon.org.uk> to control@bugs.debian.org. (Sat, 14 Jul 2012 23:09:05 GMT) Full text and rfc822 format available.

Bug reassigned from package 'general' to 'evince'. Request was from Neil McGovern <neil@halon.org.uk> to control@bugs.debian.org. (Sat, 14 Jul 2012 23:09:06 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Neil McGovern <neil@halon.org.uk> to control@bugs.debian.org. (Sat, 14 Jul 2012 23:09:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'missing mime entry' from 'generate mailcap entries from desktop files' Request was from Neil McGovern <neil@halon.org.uk> to control@bugs.debian.org. (Sat, 14 Jul 2012 23:09:07 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'serious' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sat, 14 Jul 2012 23:24:06 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sat, 14 Jul 2012 23:24:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#658139; Package evince. (Sun, 15 Jul 2012 16:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil McGovern <neilm@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 15 Jul 2012 16:09:05 GMT) Full text and rfc822 format available.

Message #106 received at 658139@bugs.debian.org (full text, mbox):

From: Neil McGovern <neilm@debian.org>
To: debian-devel@lists.debian.org, control@bugs.debian.org, debian-release@lists.debian.org, 658139@bugs.debian.org
Cc: Michael Biebl <biebl@debian.org>
Subject: Re: Fixing the mime horror ini Debian
Date: Sun, 15 Jul 2012 09:31:53 -0600
[Message part 1 (text/plain, inline)]
severity 658139 serious
clone 658139 -1
reassign -1 tech-ctte
block 658139 by -1
thanks

Hi Michael,

As per http://www.debian.org/Bugs/Developer#severities, the severity of
this bug is serious as in the release manager's opinion, this makes the
package unsuitable for release. Please do NOT simply downgrade this to
wishlist a third time, especially without explanation.

I have already said that you should re-assign to tech-ctte if you're not
happy with this, and instead a wontfix tag has been given to the bug.

Thus, I am reassigning to tech-ctte to ask if they wish to overrule this
decision.

Thanks,
Neil

On Sat, Jul 14, 2012 at 04:34:35PM -0600, Neil McGovern wrote:
> Hence, I consider this bug serious and thus RC, and am reassigning to evince.
> 
> Feel free to pop it over to tech-ctte if you don't agree.
> 
> Thanks,
> Neil
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/20120714223435.GU28296@halon.org.uk
> 
> 

-- 
[signature.asc (application/pgp-signature, inline)]

Severity set to 'serious' from 'wishlist' Request was from Neil McGovern <neilm@debian.org> to control@bugs.debian.org. (Sun, 15 Jul 2012 16:09:07 GMT) Full text and rfc822 format available.

Bug 658139 cloned as bug 681687 Request was from Neil McGovern <neilm@debian.org> to control@bugs.debian.org. (Sun, 15 Jul 2012 16:09:07 GMT) Full text and rfc822 format available.

Bug reassigned from package 'evince' to 'tech-ctte'. Request was from Neil McGovern <neilm@debian.org> to control@bugs.debian.org. (Sun, 15 Jul 2012 16:09:08 GMT) Full text and rfc822 format available.

Added indication that bug 681687 blocks 658139 Request was from Neil McGovern <neilm@debian.org> to control@bugs.debian.org. (Sun, 15 Jul 2012 16:09:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Mon, 16 Jul 2012 01:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 16 Jul 2012 01:00:05 GMT) Full text and rfc822 format available.

Message #119 received at 681687@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: debian-devel@lists.debian.org
Cc: debian-release@lists.debian.org, 658139@bugs.debian.org, 681687@bugs.debian.org
Subject: Using FreeDesktop MIME entries directly in mime-support (Re: Fixing the mime horror ini Debian).
Date: Mon, 16 Jul 2012 09:50:43 +0900
Hello everybody,

http://bugs.debian.org/497779 contains a patch for the mime-support package to
solve this problem for every package that provides a .desktop file but no
mailcap entry.  The mime-support package has been orphaned last week.

Wouldn't one of the following solutions be acceptable for you ?

 - Add the function to mime-support in Wheezy to update /etc/mailcap using
   the FreeDesktop menu entry files in /usr/share/applications via dpkg
   triggers.

 - Do this in Sid, and add back the MIME entries in evince in Wheezy as a
   temporary compromise.

If nobody else volunteers, I propose to start a maintenance group for the
mime-support package, that I would store in a Git repository on Alioth's
collab-maint group.

My background in MIME support is that I maintain packages that declare MIME
types, I keep track of MIME support in the Policy (http://bugs.debian.org/661816),
and I wrote much of the MimeTypesSupport page on the Debian wiki
(http://wiki.debian.org/MimeTypesSupport).

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Mon, 16 Jul 2012 20:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 16 Jul 2012 20:51:08 GMT) Full text and rfc822 format available.

Message #124 received at 681687@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Charles Plessy <plessy@debian.org>, László Böszörményi <gcs@debian.org>
Cc: debian-devel@lists.debian.org, debian-release@lists.debian.org, 658139@bugs.debian.org, 681687@bugs.debian.org
Subject: Re: Using FreeDesktop MIME entries directly in mime-support (Re: Fixing the mime horror ini Debian).
Date: Mon, 16 Jul 2012 22:49:42 +0200
[Message part 1 (text/plain, inline)]
Charles Plessy <plessy@debian.org> (16/07/2012):
> If nobody else volunteers, I propose to start a maintenance group for
> the mime-support package, that I would store in a Git repository on
> Alioth's collab-maint group.

I think that's a perfect use case for collab-maint.

László, do you really need a dedicated group for that?

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Mon, 16 Jul 2012 21:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 16 Jul 2012 21:39:08 GMT) Full text and rfc822 format available.

Message #129 received at 681687@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: "Laszlo Boszormenyi (GCS)" <gcs@debian.org>
Cc: debian-devel@lists.debian.org, debian-release@lists.debian.org, 658139@bugs.debian.org, 681687@bugs.debian.org
Subject: Re: Using FreeDesktop MIME entries directly in mime-support (Re: Fixing the mime horror ini Debian).
Date: Mon, 16 Jul 2012 23:35:32 +0200
[Message part 1 (text/plain, inline)]
Laszlo Boszormenyi (GCS) <gcs@debian.org> (16/07/2012):
> > I think that's a perfect use case for collab-maint.  László, do you
> > really need a dedicated group for that?
>  My intention was to limit people who can commit to mime-support. It
> seems there are multiple viewpoints for example about
> application/x-httpd-* types. One may do more harm with a commit if not
> consulted by a group of more advanced people.  But I'm fine with normal
> collab-maint as well if you and Charles would like that.

As someone processing alioth-related requests, I would find it nice to
use collab-maint for such projects; but I'm willing to hear about
arguments against that.

As a random developer, I would really hate to see people fight through
commits. In case that would happen, I think that can be fixed, IIRC
collab-maint has some abuse clauses or something similar.

(IOW: I'm not convinced you need a dedicated group; quite the contrary.)

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Mon, 16 Jul 2012 21:39:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Laszlo Boszormenyi (GCS)" <gcs@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 16 Jul 2012 21:39:10 GMT) Full text and rfc822 format available.

Message #134 received at 681687@bugs.debian.org (full text, mbox):

From: "Laszlo Boszormenyi (GCS)" <gcs@debian.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: debian-devel@lists.debian.org, debian-release@lists.debian.org, 658139@bugs.debian.org, 681687@bugs.debian.org
Subject: Re: Using FreeDesktop MIME entries directly in mime-support (Re: Fixing the mime horror ini Debian).
Date: Mon, 16 Jul 2012 21:29:07 +0000
[Message part 1 (text/plain, inline)]
Hi Cyril,

On Mon, 2012-07-16 at 22:49 +0200, Cyril Brulebois wrote:
> Charles Plessy <plessy@debian.org> (16/07/2012):
> > If nobody else volunteers, I propose to start a maintenance group for
> > the mime-support package, that I would store in a Git repository on
> > Alioth's collab-maint group.
 Just for the record, Charles has an advanced knowledge regarding MIME
in general. Hope we can work together.

> I think that's a perfect use case for collab-maint.
> László, do you really need a dedicated group for that?
 My intention was to limit people who can commit to mime-support. It
seems there are multiple viewpoints for example about
application/x-httpd-* types. One may do more harm with a commit if not
consulted by a group of more advanced people.
But I'm fine with normal collab-maint as well if you and Charles would
like that.

Cheers,
Laszlo/GCS
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Mon, 16 Jul 2012 21:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Laszlo Boszormenyi (GCS)" <gcs@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 16 Jul 2012 21:51:09 GMT) Full text and rfc822 format available.

Message #139 received at 681687@bugs.debian.org (full text, mbox):

From: "Laszlo Boszormenyi (GCS)" <gcs@debian.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: debian-devel@lists.debian.org, debian-release@lists.debian.org, 658139@bugs.debian.org, 681687@bugs.debian.org
Subject: Re: Using FreeDesktop MIME entries directly in mime-support (Re: Fixing the mime horror ini Debian).
Date: Mon, 16 Jul 2012 21:48:47 +0000
[Message part 1 (text/plain, inline)]
On Mon, 2012-07-16 at 23:35 +0200, Cyril Brulebois wrote:
> Laszlo Boszormenyi (GCS) <gcs@debian.org> (16/07/2012):
> >  My intention was to limit people who can commit to mime-support. It
> > seems there are multiple viewpoints for example about
> > application/x-httpd-* types. One may do more harm with a commit if not
> > consulted by a group of more advanced people.  But I'm fine with normal
> > collab-maint as well if you and Charles would like that.
> 
> As someone processing alioth-related requests, I would find it nice to
> use collab-maint for such projects; but I'm willing to hear about
> arguments against that.
> 
> As a random developer, I would really hate to see people fight through
> commits. In case that would happen, I think that can be fixed, IIRC
> collab-maint has some abuse clauses or something similar.
> 
> (IOW: I'm not convinced you need a dedicated group; quite the contrary.)
 I already wrote my reason and that a normal collab-maint place is fine
with me. So I just need to login to git.debian.org and create a
repository under /git/collab-maint/ right?

Charles, I would add myself as Maintainer and you as an uploader or the
vica-versa whichever suits you better. Is this OK with you?

Regards,
Laszlo/GCS
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Tue, 17 Jul 2012 00:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 17 Jul 2012 00:30:08 GMT) Full text and rfc822 format available.

Message #144 received at 681687@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: "Laszlo Boszormenyi (GCS)" <gcs@debian.org>, Brian White <bcwhite@pobox.com>
Cc: debian-devel@lists.debian.org, debian-release@lists.debian.org, 658139@bugs.debian.org, 681687@bugs.debian.org
Subject: Collaborative maintenance of mime-support (was Re: Using FreeDesktop MIME entries directly in mime-support).
Date: Tue, 17 Jul 2012 09:27:08 +0900
Le Mon, Jul 16, 2012 at 09:48:47PM +0000, Laszlo Boszormenyi (GCS) a écrit :
> On Mon, 2012-07-16 at 23:35 +0200, Cyril Brulebois wrote:
> > Laszlo Boszormenyi (GCS) <gcs@debian.org> (16/07/2012):
> > >  My intention was to limit people who can commit to mime-support. It
> > > seems there are multiple viewpoints for example about
> > > application/x-httpd-* types. One may do more harm with a commit if not
> > > consulted by a group of more advanced people.  But I'm fine with normal
> > > collab-maint as well if you and Charles would like that.
> > 
> > As someone processing alioth-related requests, I would find it nice to
> > use collab-maint for such projects; but I'm willing to hear about
> > arguments against that.
> > 
> > As a random developer, I would really hate to see people fight through
> > commits. In case that would happen, I think that can be fixed, IIRC
> > collab-maint has some abuse clauses or something similar.
> > 
> > (IOW: I'm not convinced you need a dedicated group; quite the contrary.)
>  I already wrote my reason and that a normal collab-maint place is fine
> with me. So I just need to login to git.debian.org and create a
> repository under /git/collab-maint/ right?
> 
> Charles, I would add myself as Maintainer and you as an uploader or the
> vica-versa whichever suits you better. Is this OK with you?

Hi Laszlo and Brian,

how about the following (inspired by http://dep.debian.net/deps/dep2/)

Maintainer: mime-support@packages.debian.org
Uploaders:
 Laszlo Boszormenyi (GCS) <gcs@debian.org>,
 Charles Plessy <plessy@debian.org>,

I propose the following action plan.

0) We subscribe to the PTS (done for me).

1) Upload to experimental an adopted package with the updated maintainer and
   uploaders list, the VCS fields updated, and the patch for #497779 applied.

2) Install in Alioth's collab-maint a git repository made with the --debsnap
   option of git-import-dscs, unless we try to go deeper in time ?  Set up
   commits emails to go to the PTS.

3) Make crystal clear in the source package's READMEs that uncoordinated
   commits are an abuse of the collab-maint Alioth group.  But perhaps
   we can allow developers to create topic branches related to bugs in the BTS
   if they like ?

4) Postpone any other change on the main branch until either #681687 (tech.
   comittee) is solved or Wheezy released.

Lastly, I would like to thank Brian for his impressively 16-years long work on
mime-support.  Brian, feel free to stay among the uploaders !

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Tue, 17 Jul 2012 05:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Laszlo Boszormenyi (GCS)" <gcs@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 17 Jul 2012 05:42:05 GMT) Full text and rfc822 format available.

Message #149 received at 681687@bugs.debian.org (full text, mbox):

From: "Laszlo Boszormenyi (GCS)" <gcs@debian.org>
To: Charles Plessy <plessy@debian.org>
Cc: Brian White <bcwhite@pobox.com>, debian-devel@lists.debian.org, debian-release@lists.debian.org, 658139@bugs.debian.org, 681687@bugs.debian.org
Subject: Re: Collaborative maintenance of mime-support (was Re: Using FreeDesktop MIME entries directly in mime-support).
Date: Tue, 17 Jul 2012 05:38:24 +0000
On Tue, 2012-07-17 at 09:27 +0900, Charles Plessy wrote:
> how about the following (inspired by http://dep.debian.net/deps/dep2/)
> 
> Maintainer: mime-support@packages.debian.org
> Uploaders:
>  Laszlo Boszormenyi (GCS) <gcs@debian.org>,
>  Charles Plessy <plessy@debian.org>,
 Hope Brian will also join. May we add you?

> I propose the following action plan.
> 
> 0) We subscribe to the PTS (done for me).
 For me as well, I assume Brian is also subscribed.

> 1) Upload to experimental an adopted package with the updated maintainer and
>    uploaders list, the VCS fields updated, and the patch for #497779 applied.
 +1

> 2) Install in Alioth's collab-maint a git repository made with the --debsnap
>    option of git-import-dscs, unless we try to go deeper in time ?  Set up
>    commits emails to go to the PTS.
 I've created an empty git collab-maint repository on Alioth, still not
visible over the web interface. As I know, it just need some time. Made
the config to send commits to the PTS. So, how deep should be the
package import? The full history from snapshot.debian.org or just the
last upload is enough? We will have the file history, but not the
comment why happened and what.

> 3) Make crystal clear in the source package's READMEs that uncoordinated
>    commits are an abuse of the collab-maint Alioth group.  But perhaps
>    we can allow developers to create topic branches related to bugs in the BTS
>    if they like ?
 +1 , but I assume you know that others may create free and public git
trees elsewhere, for example on GitHub. They may send a merge request
when their work is done. The tree is still visible, separated and can be
merged if needed.

> 4) Postpone any other change on the main branch until either #681687 (tech.
>    comittee) is solved or Wheezy released.
 +1

> Lastly, I would like to thank Brian for his impressively 16-years long work on
> mime-support.  Brian, feel free to stay among the uploaders !
 I join as well. Thanks Brian for your previous work! Hope you will be
still close to the package and the recent events don't turn you down.

Regards,
Laszlo/GCS




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Tue, 17 Jul 2012 15:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Laszlo Boszormenyi (GCS)" <gcs@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 17 Jul 2012 15:54:07 GMT) Full text and rfc822 format available.

Message #154 received at 681687@bugs.debian.org (full text, mbox):

From: "Laszlo Boszormenyi (GCS)" <gcs@debian.org>
To: Charles Plessy <plessy@debian.org>
Cc: Brian White <bcwhite@pobox.com>, debian-devel@lists.debian.org, debian-release@lists.debian.org, 658139@bugs.debian.org, 681687@bugs.debian.org
Subject: Re: Collaborative maintenance of mime-support (was Re: Using FreeDesktop MIME entries directly in mime-support).
Date: Tue, 17 Jul 2012 15:51:55 +0000
[Message part 1 (text/plain, inline)]
Answering to my own mail.

On Tue, 2012-07-17 at 05:38 +0000, Laszlo Boszormenyi (GCS) wrote:
> On Tue, 2012-07-17 at 09:27 +0900, Charles Plessy wrote:
> > 2) Install in Alioth's collab-maint a git repository made with the --debsnap
> >    option of git-import-dscs, unless we try to go deeper in time ?  Set up
> >    commits emails to go to the PTS.
>  I've created an empty git collab-maint repository on Alioth, still not
> visible over the web interface. As I know, it just need some time.
 It is now visible:
http://anonscm.debian.org/gitweb/?p=collab-maint/mime-support.git;a=summary
Empty at the moment. I used git-debimport , the result is at GitHub for
review: https://github.com/gcsideal/mime-support
If it's OK, I'll rebase to git.debian.org .

Regards,
Laszlo/GCS
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Tue, 17 Jul 2012 21:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brian White <bcwhite@pobox.com>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 17 Jul 2012 21:18:05 GMT) Full text and rfc822 format available.

Message #159 received at 681687@bugs.debian.org (full text, mbox):

From: Brian White <bcwhite@pobox.com>
To: Charles Plessy <plessy@debian.org>
Cc: "Laszlo Boszormenyi (GCS)" <gcs@debian.org>, debian-devel@lists.debian.org, debian-release@lists.debian.org, 658139@bugs.debian.org, 681687@bugs.debian.org
Subject: Re: Collaborative maintenance of mime-support (was Re: Using FreeDesktop MIME entries directly in mime-support).
Date: Tue, 17 Jul 2012 23:14:48 +0200
[Message part 1 (text/plain, inline)]
>
> Lastly, I would like to thank Brian for his impressively 16-years long
> work on
> mime-support.  Brian, feel free to stay among the uploaders !
>

Thanks.  I wish I had the energy to make some of the much-needed changes
but I'm just not involved with the project enough these days to have a good
feel for how it should be improved.

Make it great!

  Brian
  bcwhite@pobox.com
------------------------------------------------------------------------------------------
*Treat someone as they are and they will remain that way.
Treat someone as they can be and they will become that way.*
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Tue, 17 Jul 2012 21:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 17 Jul 2012 21:48:07 GMT) Full text and rfc822 format available.

Message #164 received at 681687@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 681687@bugs.debian.org, 658139@bugs.debian.org, 497779@bugs.debian.org
Subject: missing mime entry
Date: Tue, 17 Jul 2012 23:45:42 +0200
[Message part 1 (text/plain, inline)]
Just some numbers I got by grepping over the archive on lintian.d.o:

# of packages shipping .desktop files with MimeType associations: 601
# of packages shipping a corresponding mime file in
/usr/lib/mime/packages: 89

If a missing mime file would mean an RC bug, this would instantly make
514 packages RC buggy.
Interestingly, the particular section in the Debian policy is a should
directive, not a must, so I don't understand the reasons for making
#658139 RC.

That said, it seems to me, Debian policy and reality have diverged so
far, that imho a reasonable action her is to update or remove the
relevant section in the Debian policy (§9.7) to actually reflect current
practice.

Creating and keeping those mime files up-to-date is probably okay if you
maintain a single package or you need some of the special features that
mime-support provides. It adds up though, if you maintain multiple
packages. As maintainers time is limited and valuable I'd rather see it
spent for really important issues and simply get the patch in [1]
applied to mime-support which auto-generates those mime entries for
legacy apps which don't yet support the xdg mime spec [2].


Michael
		
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=497779
[2] http://www.freedesktop.org/wiki/Specifications/shared-mime-info-spec
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Tue, 17 Jul 2012 22:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 17 Jul 2012 22:03:07 GMT) Full text and rfc822 format available.

Message #169 received at 681687@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 681687@bugs.debian.org, 658139@bugs.debian.org, 497779@bugs.debian.org
Subject: Re: missing mime entry
Date: Wed, 18 Jul 2012 00:01:29 +0200
[Message part 1 (text/plain, inline)]
there is a small typo...

On 17.07.2012 23:45, Michael Biebl wrote:
> Just some numbers I got by grepping over the archive on lintian.d.o:
> 
> # of packages shipping .desktop files with MimeType associations: 601
                                                                    ^
                                                                    603
> # of packages shipping a corresponding mime file in
> /usr/lib/mime/packages: 89
> 
> If a missing mime file would mean an RC bug, this would instantly make
> 514 packages RC buggy.
  ^
Just in case someone was questioning my math :-)


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Wed, 18 Jul 2012 09:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil McGovern <neilm@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 18 Jul 2012 09:39:10 GMT) Full text and rfc822 format available.

Message #174 received at 681687@bugs.debian.org (full text, mbox):

From: Neil McGovern <neilm@debian.org>
To: 681687@bugs.debian.org, 658139@bugs.debian.org, 497779@bugs.debian.org
Subject: Re: missing mime entry
Date: Wed, 18 Jul 2012 10:14:21 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Tue, Jul 17, 2012 at 11:45:42PM +0200, Michael Biebl wrote:
> If a missing mime file would mean an RC bug, this would instantly make
> 514 packages RC buggy.
> Interestingly, the particular section in the Debian policy is a should
> directive, not a must, so I don't understand the reasons for making
> #658139 RC.
> 

For info, I do not consider all packages missing a mime file to be RC
buggy. I consider #658139 RC.

> Creating and keeping those mime files up-to-date is probably okay if you
> maintain a single package or you need some of the special features that
> mime-support provides. It adds up though, if you maintain multiple
> packages. As maintainers time is limited and valuable I'd rather see it
> spent for really important issues and simply get the patch in [1]
> applied to mime-support which auto-generates those mime entries for
> legacy apps which don't yet support the xdg mime spec [2].
> 

As I understand it, there are still a number of issues with this
approach (.desktop files do not contain enough information to get
argument ordering correct in all cases, and it's far too late to start
using a new auto-generation system this late in the cycle).

I also disagree that
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=%23658139#29 is
justification for this bug.

There is a two line patch that reintroduces this file, and will not
cause issues for the eventual solution (when it finally exists) that the
maintainer prefers. Deliberately breaking functionality because the
maintainer a) doesn't agree with policy and/or wants to use the package
as a stick for others to do work does not to me seem to be the correct
action to take.

Neil
-- 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Wed, 18 Jul 2012 23:45:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 18 Jul 2012 23:45:14 GMT) Full text and rfc822 format available.

Message #179 received at 681687@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Neil McGovern <neilm@debian.org>, 658139@bugs.debian.org
Subject: Re: Bug#658139: missing mime entry
Date: Thu, 19 Jul 2012 01:40:34 +0200
[Message part 1 (text/plain, inline)]
On 18.07.2012 11:14, Neil McGovern wrote:
> Hi,
> 
> On Tue, Jul 17, 2012 at 11:45:42PM +0200, Michael Biebl wrote:
>> If a missing mime file would mean an RC bug, this would instantly make
>> 514 packages RC buggy.
>> Interestingly, the particular section in the Debian policy is a should
>> directive, not a must, so I don't understand the reasons for making
>> #658139 RC.
>>
> 
> For info, I do not consider all packages missing a mime file to be RC
> buggy. I consider #658139 RC.

And what is the reason that makes evince special and distinguishes it
from other packages which never shipped a mime file or no longer do?
Your decision seems arbitrary.
mime files were removed across the board from the GNOME packages a long
time ago.


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Thu, 19 Jul 2012 00:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 19 Jul 2012 00:18:03 GMT) Full text and rfc822 format available.

Message #184 received at 681687@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: Neil McGovern <neilm@debian.org>, 681687@bugs.debian.org
Cc: evince@packages.debian.org
Subject: Re: Bug#681687: missing mime entry
Date: Thu, 19 Jul 2012 00:34:19 +0100
Neil McGovern writes ("Bug#681687: missing mime entry"):
> As I understand it, there are still a number of issues with this
> approach (.desktop files do not contain enough information to get
> argument ordering correct in all cases, and it's far too late to start
> using a new auto-generation system this late in the cycle).

Yes.

I don't think it likely that the TC will want to overrule the Release
Team's decision on this point.

So I hereby propose the following TC resolution:

  1. The Technical Committee agrees with Neil McGovern's analysis of
     the situation regarding evince's missing mime type entry.

  2. If changes are desirable to our system for dealing with mime
     type entries and desktop files, including changes to policy or
     additional automation, these should be made via the usual
     development and policy amendment processes.  It is now too
     late to do this for wheezy.

  3. We do not disagree with the Release Team's assessment that
     the failure of the evince package to provide a mime type
     entry is a release critical bug.

  4. We therefore decline to overrule the Release Team.

Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Sat, 21 Jul 2012 07:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sat, 21 Jul 2012 07:21:03 GMT) Full text and rfc822 format available.

Message #189 received at 681687@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Neil McGovern <neilm@debian.org>, 681687@bugs.debian.org, Ian Jackson <ijackson@chiark.greenend.org.uk>
Cc: evince@packages.debian.org
Subject: Re: Bug#681687: missing mime entry
Date: Sat, 21 Jul 2012 00:11:57 -0700
[Message part 1 (text/plain, inline)]
On Thu, Jul 19, 2012 at 12:34:19AM +0100, Ian Jackson wrote:
> Neil McGovern writes ("Bug#681687: missing mime entry"):
> > As I understand it, there are still a number of issues with this
> > approach (.desktop files do not contain enough information to get
> > argument ordering correct in all cases, and it's far too late to start
> > using a new auto-generation system this late in the cycle).

> I don't think it likely that the TC will want to overrule the Release
> Team's decision on this point.

> So I hereby propose the following TC resolution:

>   1. The Technical Committee agrees with Neil McGovern's analysis of
>      the situation regarding evince's missing mime type entry.

>   2. If changes are desirable to our system for dealing with mime
>      type entries and desktop files, including changes to policy or
>      additional automation, these should be made via the usual
>      development and policy amendment processes.  It is now too
>      late to do this for wheezy.

>   3. We do not disagree with the Release Team's assessment that
>      the failure of the evince package to provide a mime type
>      entry is a release critical bug.

>   4. We therefore decline to overrule the Release Team.

I concur with this.  update-mime is a Policy requirement; maintainers don't
get to unilaterally decide that bits of Policy are obsolete and ignore them
on the basis that the applications they care about are using a different
interface.  Maintainers have a duty to either follow the Policy, or engage
the Debian community to get Policy changed.  And I think the GNOME
Maintainers haven't done the latter because they know it wouldn't fly - this
is a change that breaks compatibility with other software and renders the
system as a whole buggier, and changing Policy doesn't paper over that.

I'm inclined to think that this should be considered RC for a lot more
packages than just evince.  I'm not going to go hunting those, but I
definitely support the release team's position that it be RC for evince in
particular, because evince is the default pdf viewer and pdfs are a very
common document type to be passed around between applications that don't yet
implement the freedesktop standard.

Now, I think providing a tool to auto-translate .desktop files into mailcap
entries is a perfectly appropriate way to go about solving this bug, if
someone chooses to do that.  If such a tool emerges, I think that's great
for Debian as a whole, and we can consider revising Policy to consider
.desktop files the primary interface instead.  But until we have such a tool
working in the release, it's the responsibility of the evince maintainers to
make sure their package complies with policy.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Sat, 21 Jul 2012 21:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sat, 21 Jul 2012 21:15:03 GMT) Full text and rfc822 format available.

Message #194 received at 681687@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Steve Langasek <vorlon@debian.org>
Cc: Neil McGovern <neilm@debian.org>, 681687@bugs.debian.org, Ian Jackson <ijackson@chiark.greenend.org.uk>, evince@packages.debian.org
Subject: Re: Bug#681687: missing mime entry
Date: Sat, 21 Jul 2012 23:12:25 +0200
[Message part 1 (text/plain, inline)]
On 21.07.2012 09:11, Steve Langasek wrote:

> Now, I think providing a tool to auto-translate .desktop files into mailcap
> entries is a perfectly appropriate way to go about solving this bug, if
> someone chooses to do that.  If such a tool emerges, I think that's great
> for Debian as a whole, and we can consider revising Policy to consider
> .desktop files the primary interface instead.  But until we have such a tool
> working in the release, it's the responsibility of the evince maintainers to
> make sure their package complies with policy.

A patch providing this converter has been available for a few months
[1]. The mime-support maintainer just never got around to upload it or
even comment on it.

The new mime support maintainer team, which took over the package just a
few days ago, did ask the release team, if it would be possible to still
apply this patch for wheezy [2].
I think this should be the solution we should aim for and I would
appreciate if the release team could give the mime-support maintainers a
green light for the unstable upload.
If the converter solution turns out to be too buggy or requires larger
changes, we have a simple contigency plan, i.e. just drop the converter
again.

I would really appreciate if we could try to fix this *whole* issue for
good for *wheezy*. Re-adding the mime file in evince can still be done
if the proper mime-support fix has not been done in say a month or two.

Michael


[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=497779
[2] https://lists.debian.org/debian-release/2012/07/msg01048.html
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Sat, 21 Jul 2012 21:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sat, 21 Jul 2012 21:45:03 GMT) Full text and rfc822 format available.

Message #199 received at 681687@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Michael Biebl <biebl@debian.org>, 681687@bugs.debian.org
Cc: Steve Langasek <vorlon@debian.org>, Neil McGovern <neilm@debian.org>, Ian Jackson <ijackson@chiark.greenend.org.uk>, evince@packages.debian.org
Subject: Re: Bug#681687: missing mime entry
Date: Sat, 21 Jul 2012 22:40:42 +0100
On Sat, 2012-07-21 at 23:12 +0200, Michael Biebl wrote:
> On 21.07.2012 09:11, Steve Langasek wrote:
> 
> > Now, I think providing a tool to auto-translate .desktop files into mailcap
> > entries is a perfectly appropriate way to go about solving this bug, if
[...]
> The new mime support maintainer team, which took over the package just a
> few days ago, did ask the release team, if it would be possible to still
> apply this patch for wheezy [2].
[...]
> [2] https://lists.debian.org/debian-release/2012/07/msg01048.html

As far as I can tell, that's very much not what that message says.  In
fact, it doesn't appear to request anything of the release team at all.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Sun, 22 Jul 2012 13:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sun, 22 Jul 2012 13:27:05 GMT) Full text and rfc822 format available.

Message #204 received at 681687@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 681687@bugs.debian.org, Steve Langasek <vorlon@debian.org>, Neil McGovern <neilm@debian.org>, evince@packages.debian.org, Charles Plessy <plessy@debian.org>, "Laszlo Boszormenyi (GCS)" <gcs@debian.org>
Subject: Re: Bug#681687: missing mime entry
Date: Sun, 22 Jul 2012 15:24:19 +0200
[Message part 1 (text/plain, inline)]
On 21.07.2012 23:40, Adam D. Barratt wrote:
> On Sat, 2012-07-21 at 23:12 +0200, Michael Biebl wrote:
>> On 21.07.2012 09:11, Steve Langasek wrote:
>>
>>> Now, I think providing a tool to auto-translate .desktop files into mailcap
>>> entries is a perfectly appropriate way to go about solving this bug, if
> [...]
>> The new mime support maintainer team, which took over the package just a
>> few days ago, did ask the release team, if it would be possible to still
>> apply this patch for wheezy [2].
> [...]
>> [2] https://lists.debian.org/debian-release/2012/07/msg01048.html
> 
> As far as I can tell, that's very much not what that message says.  In
> fact, it doesn't appear to request anything of the release team at all.

Well, Charles did not specifically ask the release team, but he CCed the
release team and his email contains:

> 4) Postpone any other change on the main branch until either #681687 (tech.
>    comittee) is solved or Wheezy released.

This reads to me as if Charlees is waiting for a decision from the ctte.

If Steve and other members of the ctte consider such a tool as an
approriate way to solve this bug, would the release team also
acknowledge this approach or not?

Anyway, let's put Charles and Laszlo on CC so they have chance to
comment on it.

My position is clearly, that this issue should be solved for good.
Postponing this for another release just doesn't seem right to me, as
simply adding back a single mime file would be an incomplete workaround
at best.

From past experience we still have around 5 months until we release.
This should be enough time to get this ready for wheezy. And as said, if
unsurmountable problems turn up which can't be addressed within say two
months, we can simply drop the converter again and then add back the
evince mime file.

Is this a proposal that the ctte, release team and mime-support
maintainers could agree with?


Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Sun, 22 Jul 2012 14:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sun, 22 Jul 2012 14:45:10 GMT) Full text and rfc822 format available.

Message #209 received at 681687@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Michael Biebl <biebl@debian.org>
Cc: 681687@bugs.debian.org, Steve Langasek <vorlon@debian.org>, Neil McGovern <neilm@debian.org>, evince@packages.debian.org, Charles Plessy <plessy@debian.org>, "Laszlo Boszormenyi (GCS)" <gcs@debian.org>, debian-release@lists.debian.org
Subject: Re: Bug#681687: missing mime entry
Date: Sun, 22 Jul 2012 15:43:10 +0100
On Sun, 2012-07-22 at 15:24 +0200, Michael Biebl wrote:
> On 21.07.2012 23:40, Adam D. Barratt wrote:
> > On Sat, 2012-07-21 at 23:12 +0200, Michael Biebl wrote:
> >> On 21.07.2012 09:11, Steve Langasek wrote:
> >>
> >>> Now, I think providing a tool to auto-translate .desktop files into mailcap
> >>> entries is a perfectly appropriate way to go about solving this bug, if
> > [...]
> >> The new mime support maintainer team, which took over the package just a
> >> few days ago, did ask the release team, if it would be possible to still
> >> apply this patch for wheezy [2].
> > [...]
> >> [2] https://lists.debian.org/debian-release/2012/07/msg01048.html
> > 
> > As far as I can tell, that's very much not what that message says.  In
> > fact, it doesn't appear to request anything of the release team at all.
> 
> Well, Charles did not specifically ask the release team, but he CCed the
> release team

Well, he hit "reply all" on a thread that was already CCed to the
release team.  I'm not sure it would otherwise have been copied.

> and his email contains:
> 
> > 4) Postpone any other change on the main branch until either #681687 (tech.
> >    comittee) is solved or Wheezy released.
> 
> This reads to me as if Charlees is waiting for a decision from the ctte.

Agreed.  It's still not even implicitly a request for release team
comment on the solution imo, but let's leave that particular horse in
peace before the discussion gets any more circular. :-/

> If Steve and other members of the ctte consider such a tool as an
> approriate way to solve this bug, would the release team also
> acknowledge this approach or not?

If it's the solution that the TC decide on to resolve the issue, it
sounds like something we could work with, at least imho, from what I've
seen so far.  I've CCed -release for any further comments, as I don't
know how many members of the team are following -ctte and/or this bug.

For clarity, the current proposal would be
http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=35;filename=mime-support-desktop.patch;att=1;bug=497779 , or something similar?

[...]
> From past experience we still have around 5 months until we release.
> This should be enough time to get this ready for wheezy. And as said, if
> unsurmountable problems turn up which can't be addressed within say two
> months, we can simply drop the converter again and then add back the
> evince mime file.

With my release hat on, it feels like "there's still a while until we
release" is being used more often recently as a justification for trying
to get larger scale changes incorporated or fixes delayed.  While I'm
not implying that's the intention in this case, I do think we need to be
wary of saying "there'll be plenty of time to fix that still".
</soapbox>

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Sun, 22 Jul 2012 15:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sun, 22 Jul 2012 15:18:03 GMT) Full text and rfc822 format available.

Message #214 received at 681687@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 681687@bugs.debian.org
Cc: Michael Biebl <biebl@debian.org>, Steve Langasek <vorlon@debian.org>, Neil McGovern <neilm@debian.org>, evince@packages.debian.org, Charles Plessy <plessy@debian.org>, "Laszlo Boszormenyi (GCS)" <gcs@debian.org>, debian-release@lists.debian.org
Subject: Re: Bug#681687: missing mime entry
Date: Sun, 22 Jul 2012 16:15:12 +0100
Adam D. Barratt writes ("Bug#681687: missing mime entry"):
> If it's the solution that the TC decide on to resolve the issue, it
> sounds like something we could work with, at least imho, from what I've
> seen so far.  I've CCed -release for any further comments, as I don't
> know how many members of the team are following -ctte and/or this bug.

Right.  So far I think my personal view is that I'm happy for the
release team to carry on doing whatever they think is best, on this
issue.

> For clarity, the current proposal would be
> http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=35;filename=mime-support-desktop.patch;att=1;bug=497779 , or something similar?

I would be worried that this would make a widespread and radical
change to the behaviour of the mime-support-using packages.  Are we
sure that that's the right thing to do at this stage of the release ?

If we were wanting to do this properly, we would compare the
automatically-generated entires with the previous manually-written
ones, to see what behavioural changes we would expect.

> With my release hat on, it feels like "there's still a while until we
> release" is being used more often recently as a justification for trying
> to get larger scale changes incorporated or fixes delayed.  While I'm
> not implying that's the intention in this case, I do think we need to be
> wary of saying "there'll be plenty of time to fix that still".
> </soapbox>

I certainly don't think "we failed to get the automatic machinery
deployed and tested properly before the freeze" is a good excuse for
insisting on a freeze exception for it.

I can see why the evince maintainers are reluctant to keep on with an
approach they regard as obsolete and deprecated, but until the
replacement is properly deployed and tested that's what we should do.

Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Sun, 22 Jul 2012 20:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sun, 22 Jul 2012 20:54:03 GMT) Full text and rfc822 format available.

Message #219 received at 681687@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Michael Biebl <biebl@debian.org>, 681687@bugs.debian.org
Cc: Neil McGovern <neilm@debian.org>, evince@packages.debian.org, "Adam D. Barratt" <adam@adam-barratt.org.uk>, Charles Plessy <plessy@debian.org>, "Laszlo Boszormenyi (GCS)" <gcs@debian.org>, debian-release@lists.debian.org
Subject: Re: Bug#681687: missing mime entry
Date: Sun, 22 Jul 2012 13:51:32 -0700
On Sat, Jul 21, 2012 at 11:12:25PM +0200, Michael Biebl wrote:
> A patch providing this converter has been available for a few months
> [1]. The mime-support maintainer just never got around to upload it or
> even comment on it.

> The new mime support maintainer team, which took over the package just a
> few days ago, did ask the release team, if it would be possible to still
> apply this patch for wheezy [2].
> I think this should be the solution we should aim for and I would
> appreciate if the release team could give the mime-support maintainers a
> green light for the unstable upload.

I agree that we should aim for such an automated, long-term solution.  In
the meantime, I think it's correct to say that evince has a release-critical
bug.

I think that the right thing for the evince maintainers to do is to upload
the package *now* with re-added mime-support handling, and worry about
dropping it only after mime-support .desktop support has proven itself -
knowing that this may not happen in time for the wheezy release.

(And if you disagree, well, it's an RC bug... so someone can upload an NMU
for it...)

> If the converter solution turns out to be too buggy or requires larger
> changes, we have a simple contigency plan, i.e. just drop the converter
> again.

> I would really appreciate if we could try to fix this *whole* issue for
> good for *wheezy*. Re-adding the mime file in evince can still be done
> if the proper mime-support fix has not been done in say a month or two.

From the discussion so far, there are two issues that in the release
managers' position, I would be concerned about seeing addressed before
endorsing this as a solution for wheezy.

 - The .desktop format does not include an equivalent to the mailcap
   'priority' field; it's not clear what the expected / desirable handling
   is when multiple packages provide .desktop files for the same mime type. 
   The documented default priority is '5', which is probably a reasonable
   starting point, but there's still a loss of expressiveness that seems to
   require an extension of the .desktop file format (especially since
   priority values are meant to be per-mime-type).

 - It's not clear what the transitional behavior should be when a package
   includes both a .desktop file and a usr/lib/mime/packages file.  There's
   no reliable way to associate the contents of the two files, so this
   probably ends up with duplicated entries in /etc/mailcap, possibly with
   small variations; just from a quick look on my system, I find that the
   libreoffice .desktop and mime files use quite different program
   invocations.  This is of course exactly why we want to not maintain
   duplicate information in multiple files, but we should have a clear idea
   about which we expect to take precedence, and make sure this is
   implemented, so that users don't wind up with buggy behavior on their
   systems due to random ordering.  If this update-mime change is accepted
   for wheezy, the transition will most definitely be ongoing at release
   time, so we really ought to get this right.

But that's just my two cents; the release managers may have a different set
of concerns.  Either way, my recommendation to the GNOME maintainers is that
if you think it's important to not have to re-add the mime file to evince
for wheezy, you should participate in finding a solution to these issues and
not regard it as the mime-support maintainer's problem to fix - which I have
the impression has been the general approach up to this point.

On Sun, Jul 22, 2012 at 03:43:10PM +0100, Adam D. Barratt wrote:
> > If Steve and other members of the ctte consider such a tool as an
> > approriate way to solve this bug, would the release team also
> > acknowledge this approach or not?

> If it's the solution that the TC decide on to resolve the issue, it
> sounds like something we could work with, at least imho, from what I've
> seen so far.  I've CCed -release for any further comments, as I don't
> know how many members of the team are following -ctte and/or this bug.

Broadly speaking, I think the correct long-term solution is to first add
support to update-mime for reading both .desktop files and mime files, and
then to update policy to tell maintainers to use .desktop files instead of
mime files.  And I think it's better for Debian if we can get the first part
done prior to the wheezy release.  But I would like the release team to make
their own determination of whether the patch that's currently up for
consideration is of sufficient quality, and sufficiently safe, to be granted
a freeze exception.

> For clarity, the current proposal would be
> http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=35;filename=mime-support-desktop.patch;att=1;bug=497779
> , or something similar?

Yes. The nascent mime-support maintenance team has also committed a patch to
the repo at
<http://anonscm.debian.org/gitweb/?p=collab-maint/mime-support.git;a=summary>,
probably best to reference the version there.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Sun, 22 Jul 2012 21:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sun, 22 Jul 2012 21:45:05 GMT) Full text and rfc822 format available.

Message #224 received at 681687@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Russ Allbery <rra@debian.org>, 658139@bugs.debian.org, 681687@bugs.debian.org
Cc: Neil McGovern <neilm@debian.org>
Subject: Re: Bug#658139: Bug#681687: Bug#658139: missing mime entry
Date: Sun, 22 Jul 2012 23:15:16 +0200
Le mercredi 18 juillet 2012 à 16:52 -0700, Russ Allbery a écrit : 
> Michael Biebl <biebl@debian.org> writes:
> > On 18.07.2012 11:14, Neil McGovern wrote:
> 
> >> For info, I do not consider all packages missing a mime file to be RC
> >> buggy. I consider #658139 RC.
> 
> > And what is the reason that makes evince special and distinguishes it
> > from other packages which never shipped a mime file or no longer do?
> 
> It leads to PDF files being opened in Gimp, which you must agree is very
> surprising behavior.

This is a completely unrelated issue. Gimp opening PDFs is a bug in
gimp, not a bug in evince. Furthermore, it only happens with the XDG
system outside GNOME/KDE, not with the old MIME system, since gimp
doesn’t ship a legacy MIME file.

I’d appreciate if the release team and CTTE could avoid basing their
decisions upon such misinformed claims.

Thanks,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Sun, 22 Jul 2012 22:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sun, 22 Jul 2012 22:57:05 GMT) Full text and rfc822 format available.

Message #229 received at 681687@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Josselin Mouette <joss@debian.org>
Cc: 658139@bugs.debian.org, 681687@bugs.debian.org, Neil McGovern <neilm@debian.org>
Subject: Re: Bug#658139: Bug#681687: Bug#658139: missing mime entry
Date: Sun, 22 Jul 2012 15:53:09 -0700
Josselin Mouette <joss@debian.org> writes:

> This is a completely unrelated issue. Gimp opening PDFs is a bug in
> gimp, not a bug in evince. Furthermore, it only happens with the XDG
> system outside GNOME/KDE, not with the old MIME system, since gimp
> doesn’t ship a legacy MIME file.

> I’d appreciate if the release team and CTTE could avoid basing their
> decisions upon such misinformed claims.

Yes, there was subsequent mail that clarified that, which you probably
hadn't gotten to when you sent this.

To reassure, that's not the basis by which I'm saying that it would be a
good idea for evince, in particular, to re-add the legacy MIME mapping for
application/pdf, *for wheezy*, so that we have some time to sort this out
properly.  GIMP aside, PDF opening is the most common complaint from
people who are using applications that still use the old metamail MIME
system, so adding the mapping for the most common PDF viewer on the GNOME
platform would make a lot of the user impact quietly disappear.

I completely agree (as I think I've mentioned before) that the legacy
metamail system should change or go away entirely.  I agree that requiring
every package maintainer to worry about it is not a good idea going
forward; the FDO standard is much easier for Debian to support in the long
run.  I don't think there's any real debate here on the long-term
direction.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Sun, 22 Jul 2012 23:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sun, 22 Jul 2012 23:09:03 GMT) Full text and rfc822 format available.

Message #234 received at 681687@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Steve Langasek <vorlon@debian.org>
Cc: Michael Biebl <biebl@debian.org>, 681687@bugs.debian.org, Neil McGovern <neilm@debian.org>, evince@packages.debian.org, "Adam D. Barratt" <adam@adam-barratt.org.uk>, Charles Plessy <plessy@debian.org>, "Laszlo Boszormenyi \(GCS\)" <gcs@debian.org>, debian-release@lists.debian.org
Subject: Re: Bug#681687: missing mime entry
Date: Sun, 22 Jul 2012 16:05:38 -0700
Steve Langasek <vorlon@debian.org> writes:

>  - It's not clear what the transitional behavior should be when a package
>    includes both a .desktop file and a usr/lib/mime/packages file.  There's
>    no reliable way to associate the contents of the two files, so this
>    probably ends up with duplicated entries in /etc/mailcap, possibly with
>    small variations; just from a quick look on my system, I find that the
>    libreoffice .desktop and mime files use quite different program
>    invocations.  This is of course exactly why we want to not maintain
>    duplicate information in multiple files, but we should have a clear idea
>    about which we expect to take precedence, and make sure this is
>    implemented, so that users don't wind up with buggy behavior on their
>    systems due to random ordering.  If this update-mime change is accepted
>    for wheezy, the transition will most definitely be ongoing at release
>    time, so we really ought to get this right.

I think the mime/packages file should obviously take precedence for
programs using mailcap, since that's the target of the automated
conversion.  You always want the manually-maintained file to override the
results of any automated conversion, since that way you can work around
any bugs in the conversion (or missing features, like priority) by
providing a manually-maintained file.

> Broadly speaking, I think the correct long-term solution is to first add
> support to update-mime for reading both .desktop files and mime files,
> and then to update policy to tell maintainers to use .desktop files
> instead of mime files.  And I think it's better for Debian if we can get
> the first part done prior to the wheezy release.  But I would like the
> release team to make their own determination of whether the patch that's
> currently up for consideration is of sufficient quality, and
> sufficiently safe, to be granted a freeze exception.

This sounds right to me as well.  I think we should ensure the most
critical media types are working in both systems for the wheezy release
and then aim at removing the requirement to support update-mime for all
packages providing .desktop files for wheezy+1.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Mon, 23 Jul 2012 00:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 23 Jul 2012 00:54:03 GMT) Full text and rfc822 format available.

Message #239 received at 681687@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 681687@bugs.debian.org, evince@packages.debian.org, debian-release@lists.debian.org, "Laszlo Boszormenyi (GCS)" <gcs@debian.org>
Subject: Re: Bug#681687: missing mime entry
Date: Mon, 23 Jul 2012 09:51:37 +0900
> On Sun, 2012-07-22 at 15:24 +0200, Michael Biebl wrote:
> > > [...]
> > >> The new mime support maintainer team, which took over the package just a
> > >> few days ago, did ask the release team, if it would be possible to still
> > >> apply this patch for wheezy [2].
> > > [...]
> > >> [2] https://lists.debian.org/debian-release/2012/07/msg01048.html

Dear all,

about the mail discussed above: while it is addressed to Brian and Laszlo,
I made sure that the release team, the technical comitte and the evince
maintainers get a copy so that they can see that things are moving.  But
before getting Laszlo's and Brian's replies, I did not feel like making
promises.

Nevertheless, earlier in http://bugs.debian.org/658139#117, I also wrote the
following to "everybody", with the release team, the tech. comittee and the
evince maintainers copied:

> Wouldn't one of the following solutions be acceptable for you ?
> 
>  - Add the function to mime-support in Wheezy to update /etc/mailcap using
>    the FreeDesktop menu entry files in /usr/share/applications via dpkg
>    triggers.
> 
>  - Do this in Sid, and add back the MIME entries in evince in Wheezy as a
>    temporary compromise.

To keep both possibilities open - without expressing a particular preference
for one or another - me and Laszlo are limiting ourselves to work on the
conversion from Desktop to mailcap, with exceptions limited to packaging
updates that I hope will not prevent our package to be reviewed by the release
team if the consensus is to update mime-support in Wheezy. 

We are getting ready to upload to experimental; things go a bit slowly because
time zone effects inserts some delays between our email exchanges, but on the
other hand, I think that it is a good thing as mime-support will be the first
time I work on a package of standard priority.  Also, it happens that the
previous and next week-ends I am not avaiable for Debian work, which postpones
more extensive tests on my side, but I think that an upload to experimental
would be appropriate now.  The last piece missing is that we are looking for a
mailing list address for the Maintainer field, as the trick to send messages to
the PTS do not work because it would create loops.  Or perhaps we can enhance
the PTS to not transmit messages to itself...

I intend to announce on debian-devel that the adoption has been completed after
we uploaded to experimental (Laszlo, you are of course free to do so yourself
if you are the one who uploads).  As Steve noted later in this thread, the
package is already in collab-maint, although I would like to keep an option
option just in case until we upload, that in case we find a defect in the
conversion we might reset it.

  http://anonscm.debian.org/gitweb/?p=collab-maint/mime-support.git

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Thu, 26 Jul 2012 00:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 26 Jul 2012 00:30:05 GMT) Full text and rfc822 format available.

Message #244 received at 681687@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: "Laszlo Boszormenyi (GCS)" <gcs@debian.org>, debian-devel@lists.debian.org, debian-release@lists.debian.org, 658139@bugs.debian.org, 681687@bugs.debian.org
Subject: Re: Collaborative maintenance of mime-support (was Re: Using FreeDesktop MIME entries directly in mime-support).
Date: Thu, 26 Jul 2012 09:27:39 +0900
Le Tue, Jul 17, 2012 at 03:51:55PM +0000, Laszlo Boszormenyi (GCS) a écrit :
> 
>  It is now visible:
> http://anonscm.debian.org/gitweb/?p=collab-maint/mime-support.git;a=summary

Dear all,

I have uploaded to mime-support version 3.53_experimental1 to experimental.

As discussed earlier, me and Laszlo strictly limited the changes to the
adoption of the package, the transfer of its source in collab-maint, and the
addition of a triggered parsing of Desktop entries to populate /etc/mailcap.
Many thanks to Brian M. Carlson for the patch !

We did not have that much time to make extensive tests.  On my computer, I did
not suffer from the lack of a mailcap entry for evince, so please, people
concerned with #658139, test the package and let us know what you think. 

If there is a consensus for uploading to Unstable and ask for a freeze exception,
we will.

Here is a link to the diff with the previous version:

http://anonscm.debian.org/gitweb/?p=collab-maint/mime-support.git;a=commitdiff;hp=3.52-1;h=3.53_experimental1

Here is a link to the build log:

http://anonscm.debian.org/gitweb/?p=collab-maint/mime-support.git;a=blob;f=amd64.log;h=9a0dace97c2ddd49a03e7c97428cae945ca5f0b0;hb=uploads

(And my apologises for messing with the changelog for my first upload of a
high-priority package...  in contrary of what is written, it was really
uploaded ot experimental...)

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Thu, 26 Jul 2012 06:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 26 Jul 2012 06:57:07 GMT) Full text and rfc822 format available.

Message #249 received at 681687@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Charles Plessy <plessy@debian.org>
Cc: "Laszlo Boszormenyi (GCS)" <gcs@debian.org>, debian-devel@lists.debian.org, debian-release@lists.debian.org, 658139@bugs.debian.org, 681687@bugs.debian.org
Subject: Re: Collaborative maintenance of mime-support (was Re: Using FreeDesktop MIME entries directly in mime-support).
Date: Thu, 26 Jul 2012 08:34:32 +0200
On Thu, Jul 26, 2012 at 09:27:39AM +0900, Charles Plessy wrote:
> 
> We did not have that much time to make extensive tests.  On my computer, I did
> not suffer from the lack of a mailcap entry for evince, so please, people
> concerned with #658139, test the package and let us know what you think. 
> 
> If there is a consensus for uploading to Unstable and ask for a freeze exception,
> we will.

I can confirm that the issue I reported in #658139 will be solved by this package.
 
Many thanks to all people involved into this

      Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Thu, 26 Jul 2012 09:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil McGovern <neilm@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 26 Jul 2012 09:03:03 GMT) Full text and rfc822 format available.

Message #254 received at 681687@bugs.debian.org (full text, mbox):

From: Neil McGovern <neilm@debian.org>
To: Steve Langasek <vorlon@debian.org>, Michael Biebl <biebl@debian.org>, 681687@bugs.debian.org, Neil McGovern <neilm@debian.org>, evince@packages.debian.org, "Adam D. Barratt" <adam@adam-barratt.org.uk>, Charles Plessy <plessy@debian.org>, "Laszlo Boszormenyi (GCS)" <gcs@debian.org>, debian-release@lists.debian.org
Subject: Re: Bug#681687: missing mime entry
Date: Thu, 26 Jul 2012 09:58:37 +0100
[Message part 1 (text/plain, inline)]
On Sun, Jul 22, 2012 at 01:51:32PM -0700, Steve Langasek wrote:
> > If it's the solution that the TC decide on to resolve the issue, it
> > sounds like something we could work with, at least imho, from what I've
> > seen so far.  I've CCed -release for any further comments, as I don't
> > know how many members of the team are following -ctte and/or this bug.
> 
> Broadly speaking, I think the correct long-term solution is to first add
> support to update-mime for reading both .desktop files and mime files, and
> then to update policy to tell maintainers to use .desktop files instead of
> mime files.  And I think it's better for Debian if we can get the first part
> done prior to the wheezy release.  But I would like the release team to make
> their own determination of whether the patch that's currently up for
> consideration is of sufficient quality, and sufficiently safe, to be granted
> a freeze exception.
> 

I completely agree with getting rid of the manual mime entries where
they can be automatically generated. I have concerns that the .desktop
format means that it won't work for some packages, but those could
always carry manual entires.

However, I really do think that pushing in a system wide change at this
stage in the release is not desireable at all, so woudn't be happy to
see it in Wheezy. If we wanted to do this, it should have been started
about two years ago.

I *would* however, be very happy to have this as a release goal for
wheezy+1.

Neil
-- 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Thu, 26 Jul 2012 10:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 26 Jul 2012 10:30:03 GMT) Full text and rfc822 format available.

Message #259 received at 681687@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: Neil McGovern <neilm@debian.org>, 681687@bugs.debian.org
Cc: Steve Langasek <vorlon@debian.org>, Michael Biebl <biebl@debian.org>, evince@packages.debian.org, "Adam D. Barratt" <adam@adam-barratt.org.uk>, Charles Plessy <plessy@debian.org>, "Laszlo Boszormenyi (GCS)" <gcs@debian.org>, debian-release@lists.debian.org
Subject: Re: Bug#681687: missing mime entry
Date: Thu, 26 Jul 2012 11:27:12 +0100
Neil McGovern writes ("Bug#681687: missing mime entry"):
> However, I really do think that pushing in a system wide change at this
> stage in the release is not desireable at all, so woudn't be happy to
> see it in Wheezy. If we wanted to do this, it should have been started
> about two years ago.

I agree.

Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Thu, 26 Jul 2012 11:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 26 Jul 2012 11:54:03 GMT) Full text and rfc822 format available.

Message #264 received at 681687@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 681687@bugs.debian.org
Cc: Michael Biebl <biebl@debian.org>, evince@packages.debian.org, "Adam D. Barratt" <adam@adam-barratt.org.uk>, Charles Plessy <plessy@debian.org>, "Laszlo Boszormenyi (GCS)" <gcs@debian.org>, debian-release@lists.debian.org
Subject: Re: Bug#681687: missing mime entry
Date: Thu, 26 Jul 2012 12:50:48 +0100
I hereby propose the following TC resolution (and withdraw my previous
version):

  1. The Technical Committee agrees with Neil McGovern's analysis of
     the situation regarding evince's missing mime type entry.

  2. If changes are desirable to our system for dealing with mime
     type entries and desktop files, including changes to policy or
     additional automation, these should be made via the usual
     development and policy amendment processes.

  3. We agree with the Release Team that it is now too late to deploy
     such automation in wheezy.

  4. We do not disagree with the Release Team's assessment that
     the failure of the evince package to provide a mime type
     entry is a release critical bug.

  5. We therefore decline to overrule the Release Team.  The bug
     remains RC against evince.

Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Thu, 26 Jul 2012 12:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 26 Jul 2012 12:42:05 GMT) Full text and rfc822 format available.

Message #269 received at 681687@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Ian Jackson <ijackson@chiark.greenend.org.uk>
Cc: 681687@bugs.debian.org, "Laszlo Boszormenyi (GCS)" <gcs@debian.org>, evince@packages.debian.org, "Adam D. Barratt" <adam@adam-barratt.org.uk>, Charles Plessy <plessy@debian.org>, debian-release@lists.debian.org
Subject: Re: Bug#681687: missing mime entry
Date: Thu, 26 Jul 2012 14:39:41 +0200
Le jeudi 26 juillet 2012 à 12:50 +0100, Ian Jackson a écrit : 
> 4. We do not disagree with the Release Team's assessment that
>      the failure of the evince package to provide a mime type
>      entry is a release critical bug.

Before you vote on that: with the maintainer’s hat, I’d appreciate if
the ruling could also make explicit which MIME types it applies to. 

From what I understand, it is only application/pdf, not the 20 other
MIME types that evince can handle, nor their non-standard aliases (like
application/x-pdf) which are handled automatically by the XDG system.

-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Thu, 26 Jul 2012 15:51:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 26 Jul 2012 15:51:11 GMT) Full text and rfc822 format available.

Message #274 received at 681687@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: Josselin Mouette <joss@debian.org>, 681687@bugs.debian.org
Cc: "Laszlo Boszormenyi (GCS)" <gcs@debian.org>, evince@packages.debian.org, "Adam D. Barratt" <adam@adam-barratt.org.uk>, Charles Plessy <plessy@debian.org>, debian-release@lists.debian.org
Subject: Re: Bug#681687: missing mime entry
Date: Thu, 26 Jul 2012 16:48:59 +0100
Josselin Mouette writes ("Bug#681687: missing mime entry"):
> Le jeudi 26 juillet 2012 à 12:50 +0100, Ian Jackson a écrit : 
> > 4. We do not disagree with the Release Team's assessment that
> >      the failure of the evince package to provide a mime type
> >      entry is a release critical bug.
> 
> Before you vote on that: with the maintainer’s hat, I’d appreciate if
> the ruling could also make explicit which MIME types it applies to. 

I am content to leave that decision to the release team.  I'm happy to
clarify.

So I hereby propose the following TC resolution (and withdraw my
previous versions):

  1. The Technical Committee agrees with Neil McGovern's analysis of
     the situation regarding evince's missing mime type entry.

  2. If changes are desirable to our system for dealing with mime
     type entries and desktop files, including changes to policy or
     additional automation, these should be made via the usual
     development and policy amendment processes.

  3. We agree with the Release Team that it is now too late to deploy
     such automation in wheezy.

  4. We do not disagree with the Release Team's assessment that
     the failure of the evince package to provide a mime type
     entry is a release critical bug.

  5. We therefore decline to overrule the Release Team.  The bug
     remains RC against evince.

  6. The release team should clarify which mime types the RC-bugginess
     applies to.  We recommend that the starting point should be those
     mime types advertised by evince via the mime system in squeeze.

Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Thu, 26 Jul 2012 17:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 26 Jul 2012 17:36:03 GMT) Full text and rfc822 format available.

Message #279 received at 681687@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Josselin Mouette <joss@debian.org>, 681687@bugs.debian.org
Cc: "Laszlo Boszormenyi (GCS)" <gcs@debian.org>, evince@packages.debian.org, "Adam D. Barratt" <adam@adam-barratt.org.uk>, Charles Plessy <plessy@debian.org>, debian-release@lists.debian.org
Subject: Re: Bug#681687: missing mime entry
Date: Thu, 26 Jul 2012 10:33:24 -0700
[Message part 1 (text/plain, inline)]
On Thu, Jul 26, 2012 at 04:48:59PM +0100, Ian Jackson wrote:
> Josselin Mouette writes ("Bug#681687: missing mime entry"):
> > Le jeudi 26 juillet 2012 à 12:50 +0100, Ian Jackson a écrit : 
> > > 4. We do not disagree with the Release Team's assessment that
> > >      the failure of the evince package to provide a mime type
> > >      entry is a release critical bug.

> > Before you vote on that: with the maintainer’s hat, I’d appreciate if
> > the ruling could also make explicit which MIME types it applies to. 

> I am content to leave that decision to the release team.  I'm happy to
> clarify.

> So I hereby propose the following TC resolution (and withdraw my
> previous versions):

>   1. The Technical Committee agrees with Neil McGovern's analysis of
>      the situation regarding evince's missing mime type entry.

>   2. If changes are desirable to our system for dealing with mime
>      type entries and desktop files, including changes to policy or
>      additional automation, these should be made via the usual
>      development and policy amendment processes.

>   3. We agree with the Release Team that it is now too late to deploy
>      such automation in wheezy.

I don't actually agree that it's too late, but I would vote for a resolution
that says:

  3. We defer to the Release Team's decision that it is now too late to
     deploy such automation in wheezy.

>   4. We do not disagree with the Release Team's assessment that
>      the failure of the evince package to provide a mime type
>      entry is a release critical bug.

>   5. We therefore decline to overrule the Release Team.  The bug
>      remains RC against evince.

>   6. The release team should clarify which mime types the RC-bugginess
>      applies to.  We recommend that the starting point should be those
>      mime types advertised by evince via the mime system in squeeze.

Otherwise I have no objections here.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Tue, 07 Aug 2012 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 07 Aug 2012 17:03:03 GMT) Full text and rfc822 format available.

Message #284 received at 681687@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 681687@bugs.debian.org
Subject: Re: Bug#681687: missing mime entry
Date: Tue, 7 Aug 2012 17:59:13 +0100
Steve Langasek writes ("Bug#681687: missing mime entry"):
> On Thu, Jul 26, 2012 at 04:48:59PM +0100, Ian Jackson wrote:
> >   3. We agree with the Release Team that it is now too late to deploy
> >      such automation in wheezy.
> 
> I don't actually agree that it's too late, but I would vote for a resolution
> that says:

Right.  Thanks.  As discussed on IRC, I would prefer vote on this.
That gives us two versions to vote on.  I will prepare a ballot.

>   3. We defer to the Release Team's decision that it is now too late to
>      deploy such automation in wheezy.

I'll take your email as a formal proposal for an amendment.
(Alternatively if that's not what you meant then please consider me to
have proposed but not accepted your amendment.)

Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Tue, 07 Aug 2012 17:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 07 Aug 2012 17:06:03 GMT) Full text and rfc822 format available.

Message #289 received at 681687@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 681687@bugs.debian.org
Subject: Call for votes on evince MIME entry
Date: Tue, 7 Aug 2012 18:03:17 +0100
I'm calling for votes on the following proposal.  There are
three options - two positive versions, and FD.  In summary
 A.  Do not overrule release team.  It is too late for automation.
 B.  Do not overrule release team.  Defer to them on automation.
 F.  Further Discussion.

Here are the full texts (lines not marked A or B are in both
versions):

    1. The Technical Committee agrees with Neil McGovern's analysis of
       the situation regarding evince's missing mime type entry.

    2. If changes are desirable to our system for dealing with mime
       type entries and desktop files, including changes to policy or
       additional automation, these should be made via the usual
       development and policy amendment processes.

 A  3. We agree with the Release Team that it is now too late to deploy
 A     such automation in wheezy.

 B  3. We defer to the Release Team's decision that it is now too late
 B     to deploy such automation in wheezy.

    4. We do not disagree with the Release Team's assessment that
       the failure of the evince package to provide a mime type
       entry is a release critical bug.

    5. We therefore decline to overrule the Release Team.  The bug
       remains RC against evince.

    6. The release team should clarify which mime types the RC-bugginess
       applies to.  We recommend that the starting point should be those
       mime types advertised by evince via the mime system in squeeze.

Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Tue, 07 Aug 2012 17:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 07 Aug 2012 17:12:06 GMT) Full text and rfc822 format available.

Message #294 received at 681687@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 681687@bugs.debian.org
Subject: Re: Bug#681687: Call for votes on evince MIME entry
Date: Tue, 07 Aug 2012 10:08:45 -0700
[Message part 1 (text/plain, inline)]
Ian Jackson <ijackson@chiark.greenend.org.uk> writes:

> I'm calling for votes on the following proposal.  There are
> three options - two positive versions, and FD.  In summary
>  A.  Do not overrule release team.  It is too late for automation.
>  B.  Do not overrule release team.  Defer to them on automation.
>  F.  Further Discussion.

I vote B A F.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Tue, 07 Aug 2012 17:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 07 Aug 2012 17:15:03 GMT) Full text and rfc822 format available.

Message #299 received at 681687@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 681687@bugs.debian.org
Subject: Re: Bug#681687: Call for votes on evince MIME entry
Date: Tue, 7 Aug 2012 18:10:57 +0100
Ian Jackson writes ("Bug#681687: Call for votes on evince MIME entry"):
> I'm calling for votes on the following proposal.  There are
> three options - two positive versions, and FD.  In summary
>  A.  Do not overrule release team.  It is too late for automation.
>  B.  Do not overrule release team.  Defer to them on automation.
>  F.  Further Discussion.

I vote,
  A, B, F.

Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Thu, 09 Aug 2012 16:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 09 Aug 2012 16:57:09 GMT) Full text and rfc822 format available.

Message #304 received at 681687@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 681687@bugs.debian.org
Subject: Re: Bug#681687: Call for votes on evince MIME entry
Date: Wed, 8 Aug 2012 18:42:50 -0700
On Tue, 07 Aug 2012, Ian Jackson wrote:
> I'm calling for votes on the following proposal.  There are
> three options - two positive versions, and FD.  In summary
>  A.  Do not overrule release team.  It is too late for automation.
>  B.  Do not overrule release team.  Defer to them on automation.
>  F.  Further Discussion.

I vote BAF.


Don Armstrong

-- 
The major difference between a thing that might go wrong and a thing
that cannot possibly go wrong is that when a thing that cannot
possibly go wrong goes wrong it usually turns out to be impossible to
get at or repair.
 -- Douglas Adams  _Mostly Harmless_

http://www.donarmstrong.com              http://rzlab.ucr.edu



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Sat, 11 Aug 2012 03:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sat, 11 Aug 2012 03:30:07 GMT) Full text and rfc822 format available.

Message #309 received at 681687@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Ian Jackson <ijackson@chiark.greenend.org.uk>, 681687@bugs.debian.org, 681687@bugs.debian.org
Subject: Re: Bug#681687: Call for votes on evince MIME entry
Date: Fri, 10 Aug 2012 21:21:22 -0600
[Message part 1 (text/plain, inline)]
Ian Jackson <ijackson@chiark.greenend.org.uk> writes:

> I'm calling for votes on the following proposal.  There are
> three options - two positive versions, and FD.  In summary
>  A.  Do not overrule release team.  It is too late for automation.
>  B.  Do not overrule release team.  Defer to them on automation.
>  F.  Further Discussion.

I vote BAF.

Bdale
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Sat, 11 Aug 2012 05:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sat, 11 Aug 2012 05:21:03 GMT) Full text and rfc822 format available.

Message #314 received at 681687@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Ian Jackson <ijackson@chiark.greenend.org.uk>, 681687@bugs.debian.org
Subject: Re: Bug#681687: Call for votes on evince MIME entry
Date: Fri, 10 Aug 2012 22:16:58 -0700
[Message part 1 (text/plain, inline)]
On Tue, Aug 07, 2012 at 06:03:17PM +0100, Ian Jackson wrote:
> I'm calling for votes on the following proposal.  There are
> three options - two positive versions, and FD.  In summary
>  A.  Do not overrule release team.  It is too late for automation.
>  B.  Do not overrule release team.  Defer to them on automation.
>  F.  Further Discussion.

I vote BAF.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Tue, 14 Aug 2012 12:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 14 Aug 2012 12:09:06 GMT) Full text and rfc822 format available.

Message #319 received at 681687@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 681687@bugs.debian.org
Subject: Re: Bug#681687: Call for votes on evince MIME entry
Date: Tue, 14 Aug 2012 13:05:16 +0100
[Message part 1 (text/plain, inline)]
On Tue, Aug 07, 2012 at 06:03:17PM +0100, Ian Jackson wrote:
> I'm calling for votes on the following proposal.  There are
> three options - two positive versions, and FD.  In summary
>  A.  Do not overrule release team.  It is too late for automation.
>  B.  Do not overrule release team.  Defer to them on automation.
>  F.  Further Discussion.

I vote BAF.

-- 
Colin Watson                                       [cjwatson@debian.org]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Tue, 14 Aug 2012 12:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 14 Aug 2012 12:27:07 GMT) Full text and rfc822 format available.

Message #324 received at 681687@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 681687@bugs.debian.org
Cc: evince@packages.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#681687: Call for votes on evince MIME entry [and 5 more messages]
Date: Tue, 14 Aug 2012 13:25:50 +0100
reassign 681687 evince
tag 681687 - wontfix
thanks

Ian Jackson      A B F
Russ Allbery     B A F
Don Armstrong    B A F
Bdale Garbee     B A F
Steve Langasek   B A F
Colin Watson     B A F

B wins, defeating A by 5:1 and F by 6:0.  The outcome was no longer in
doubt some time ago.

The TC has therefore passed the following resolution:

    1. The Technical Committee agrees with Neil McGovern's analysis of
       the situation regarding evince's missing mime type entry.

    2. If changes are desirable to our system for dealing with mime
       type entries and desktop files, including changes to policy or
       additional automation, these should be made via the usual
       development and policy amendment processes.

    3. We defer to the Release Team's decision that it is now too late
       to deploy such automation in wheezy.

    4. We do not disagree with the Release Team's assessment that
       the failure of the evince package to provide a mime type
       entry is a release critical bug.

    5. We therefore decline to overrule the Release Team.  The bug
       remains RC against evince.

    6. The release team should clarify which mime types the RC-bugginess
       applies to.  We recommend that the starting point should be those
       mime types advertised by evince via the mime system in squeeze.

I will send a message to debian-devel-announce.

Thanks,
Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#681687; Package tech-ctte. (Fri, 24 Aug 2012 15:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 24 Aug 2012 15:00:08 GMT) Full text and rfc822 format available.

Message #329 received at 681687@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 681687@bugs.debian.org, 658139@bugs.debian.org, 685790@bugs.debian.org
Cc: 681687-submitter@bugs.debian.org
Subject: missing mime entry for pdfs
Date: Fri, 24 Aug 2012 15:57:29 +0100
package evince
tag 658139 - wontfix
block 658139 by 685790
package tech-ctte
tag 681687 - wontfix
close 681687
thanks

As recorded in #681687 the TC has made the following decision:

    1. The Technical Committee agrees with Neil McGovern's analysis of
       the situation regarding evince's missing mime type entry.

    2. If changes are desirable to our system for dealing with mime
       type entries and desktop files, including changes to policy or
       additional automation, these should be made via the usual
       development and policy amendment processes.

    3. We defer to the Release Team's decision that it is now too late
       to deploy such automation in wheezy.

    4. We do not disagree with the Release Team's assessment that
       the failure of the evince package to provide a mime type
       entry is a release critical bug.

    5. We therefore decline to overrule the Release Team.  The bug
       remains RC against evince.

    6. The release team should clarify which mime types the RC-bugginess
       applies to.  We recommend that the starting point should be those
       mime types advertised by evince via the mime system in squeeze.

Point 6 has been requested in #685790.

Thanks,
Ian.



Message sent on to Andreas Tille <tille@debian.org>:
Bug#681687. (Fri, 24 Aug 2012 15:00:14 GMT) Full text and rfc822 format available.

Removed tag(s) wontfix. Request was from Ian Jackson <ijackson@chiark.greenend.org.uk> to control@bugs.debian.org. (Fri, 24 Aug 2012 15:06:10 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Ian Jackson <ijackson@chiark.greenend.org.uk> to control@bugs.debian.org. (Fri, 24 Aug 2012 15:06:10 GMT) Full text and rfc822 format available.

Notification sent to Andreas Tille <tille@debian.org>:
Bug acknowledged by developer. (Fri, 24 Aug 2012 15:06:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 22 Sep 2012 07:28:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 04:05:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.